Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453651 - BIO emulation is broken
Summary: BIO emulation is broken
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nss_compat_ossl
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-01 18:22 UTC by Bob Relyea
Modified: 2008-07-04 03:40 UTC (History)
1 user (show)

Fixed In Version: 0.9.2-5.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-04 03:40:57 UTC


Attachments (Terms of Use)
patch to fix the problem (deleted)
2008-07-01 20:08 UTC, Bob Relyea
no flags Details | Diff
srpm with the data. (deleted)
2008-07-01 20:09 UTC, Bob Relyea
no flags Details | Diff

Description Bob Relyea 2008-07-01 18:22:56 UTC
nss_compat_ossl has some BIO emulation code that links a BIO object in as an
NSPR layer. This code 1) did not implement enough of the layer to make SSL
happy, and 2) linked the layer at the wrong point in the stack.

Comment 1 Bob Relyea 2008-07-01 20:08:37 UTC
Created attachment 310715 [details]
patch to fix the problem

Comment 2 Bob Relyea 2008-07-01 20:09:24 UTC
Created attachment 310716 [details]
srpm with the data.

Comment 3 Rob Crittenden 2008-07-02 17:09:48 UTC
Committed upstream as revision 59

Comment 4 Fedora Update System 2008-07-02 20:27:30 UTC
nss_compat_ossl-0.9.2-4.fc8 has been submitted as an update for Fedora 8

Comment 5 Fedora Update System 2008-07-02 20:28:32 UTC
nss_compat_ossl-0.9.2-5.fc9 has been submitted as an update for Fedora 9

Comment 6 Fedora Update System 2008-07-04 03:38:45 UTC
nss_compat_ossl-0.9.2-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-07-04 03:40:55 UTC
nss_compat_ossl-0.9.2-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.